emacs-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Emacs-diffs] Changes to emacs/configure


From: YAMAMOTO Mitsuharu
Subject: [Emacs-diffs] Changes to emacs/configure
Date: Fri, 13 May 2005 04:55:10 -0400

Index: emacs/configure
diff -c emacs/configure:1.151 emacs/configure:1.152
*** emacs/configure:1.151       Sat Apr 23 15:50:24 2005
--- emacs/configure     Fri May 13 08:55:10 2005
***************
*** 8215,8220 ****
--- 8215,8368 ----
    esac
  fi
  
+ HAVE_CARBON=no
+ if test "${HAVE_X11}" != "yes"; then
+   if test "${with_carbon}" != "no"; then
+      if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
+   echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
+ echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6
+ if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ fi
+ echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
+ echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6
+ else
+   # Is the header compilable?
+ echo "$as_me:$LINENO: checking Carbon/Carbon.h usability" >&5
+ echo $ECHO_N "checking Carbon/Carbon.h usability... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ $ac_includes_default
+ #include <Carbon/Carbon.h>
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+   (eval $ac_compile) 2>conftest.er1
+   ac_status=$?
+   grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+   (eval $ac_try) 2>&5
+   ac_status=$?
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); }; }; then
+   ac_header_compiler=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+ ac_header_compiler=no
+ fi
+ rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+ echo "${ECHO_T}$ac_header_compiler" >&6
+ 
+ # Is the header present?
+ echo "$as_me:$LINENO: checking Carbon/Carbon.h presence" >&5
+ echo $ECHO_N "checking Carbon/Carbon.h presence... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h.  */
+ _ACEOF
+ cat confdefs.h >>conftest.$ac_ext
+ cat >>conftest.$ac_ext <<_ACEOF
+ /* end confdefs.h.  */
+ #include <Carbon/Carbon.h>
+ _ACEOF
+ if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+   ac_status=$?
+   grep -v '^ *+' conftest.er1 >conftest.err
+   rm -f conftest.er1
+   cat conftest.err >&5
+   echo "$as_me:$LINENO: \$? = $ac_status" >&5
+   (exit $ac_status); } >/dev/null; then
+   if test -s conftest.err; then
+     ac_cpp_err=$ac_c_preproc_warn_flag
+     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+   else
+     ac_cpp_err=
+   fi
+ else
+   ac_cpp_err=yes
+ fi
+ if test -z "$ac_cpp_err"; then
+   ac_header_preproc=yes
+ else
+   echo "$as_me: failed program was:" >&5
+ sed 's/^/| /' conftest.$ac_ext >&5
+ 
+   ac_header_preproc=no
+ fi
+ rm -f conftest.err conftest.$ac_ext
+ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+ echo "${ECHO_T}$ac_header_preproc" >&6
+ 
+ # So?  What about this header?
+ case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+   yes:no: )
+     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: accepted by the 
compiler, rejected by the preprocessor!" >&5
+ echo "$as_me: WARNING: Carbon/Carbon.h: accepted by the compiler, rejected by 
the preprocessor!" >&2;}
+     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the 
compiler's result" >&5
+ echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the compiler's 
result" >&2;}
+     ac_header_preproc=yes
+     ;;
+   no:yes:* )
+     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: present but cannot be 
compiled" >&5
+ echo "$as_me: WARNING: Carbon/Carbon.h: present but cannot be compiled" >&2;}
+     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h:     check for missing 
prerequisite headers?" >&5
+ echo "$as_me: WARNING: Carbon/Carbon.h:     check for missing prerequisite 
headers?" >&2;}
+     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: see the Autoconf 
documentation" >&5
+ echo "$as_me: WARNING: Carbon/Carbon.h: see the Autoconf documentation" >&2;}
+     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h:     section \"Present 
But Cannot Be Compiled\"" >&5
+ echo "$as_me: WARNING: Carbon/Carbon.h:     section \"Present But Cannot Be 
Compiled\"" >&2;}
+     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the 
preprocessor's result" >&5
+ echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the preprocessor's 
result" >&2;}
+     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: in the future, the 
compiler will take precedence" >&5
+ echo "$as_me: WARNING: Carbon/Carbon.h: in the future, the compiler will take 
precedence" >&2;}
+     (
+       cat <<\_ASBOX
+ ## ------------------------------------------ ##
+ ## Report this to the AC_PACKAGE_NAME lists.  ##
+ ## ------------------------------------------ ##
+ _ASBOX
+     ) |
+       sed "s/^/$as_me: WARNING:     /" >&2
+     ;;
+ esac
+ echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
+ echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6
+ if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+   ac_cv_header_Carbon_Carbon_h=$ac_header_preproc
+ fi
+ echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
+ echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6
+ 
+ fi
+ if test $ac_cv_header_Carbon_Carbon_h = yes; then
+   HAVE_CARBON=yes
+ fi
+ 
+ 
+   fi
+ fi
+ 
  ### Compute the unexec source name from the object name.
  UNEXEC_SRC="`echo ${unexec} | sed 's/\.o/.c/'`"
  
***************
*** 11045,11050 ****
--- 11193,11204 ----
  _ACEOF
  
      USE_TOOLKIT_SCROLL_BARS=yes
+   elif test "${HAVE_CARBON}" = "yes"; then
+     cat >>confdefs.h <<\_ACEOF
+ #define USE_TOOLKIT_SCROLL_BARS 1
+ _ACEOF
+ 
+     USE_TOOLKIT_SCROLL_BARS=yes
    fi
  fi
  
***************
*** 12384,12536 ****
    fi
  fi
  
- ### Use Mac OS X Carbon API to implement GUI.
- HAVE_CARBON=no
- if test "${with_carbon}" != "no"; then
-   if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
-   echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
- echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6
- if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
-   echo $ECHO_N "(cached) $ECHO_C" >&6
- fi
- echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
- echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6
- else
-   # Is the header compilable?
- echo "$as_me:$LINENO: checking Carbon/Carbon.h usability" >&5
- echo $ECHO_N "checking Carbon/Carbon.h usability... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h.  */
- $ac_includes_default
- #include <Carbon/Carbon.h>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-   (eval $ac_compile) 2>conftest.er1
-   ac_status=$?
-   grep -v '^ *+' conftest.er1 >conftest.err
-   rm -f conftest.er1
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"
-                        || test ! -s conftest.err'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); }; } &&
-        { ac_try='test -s conftest.$ac_objext'
-   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-   (eval $ac_try) 2>&5
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); }; }; then
-   ac_header_compiler=yes
- else
-   echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- 
- ac_header_compiler=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
- echo "${ECHO_T}$ac_header_compiler" >&6
- 
- # Is the header present?
- echo "$as_me:$LINENO: checking Carbon/Carbon.h presence" >&5
- echo $ECHO_N "checking Carbon/Carbon.h presence... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h.  */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h.  */
- #include <Carbon/Carbon.h>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-   ac_status=$?
-   grep -v '^ *+' conftest.er1 >conftest.err
-   rm -f conftest.er1
-   cat conftest.err >&5
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); } >/dev/null; then
-   if test -s conftest.err; then
-     ac_cpp_err=$ac_c_preproc_warn_flag
-     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-   else
-     ac_cpp_err=
-   fi
- else
-   ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
-   ac_header_preproc=yes
- else
-   echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- 
-   ac_header_preproc=no
- fi
- rm -f conftest.err conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
- echo "${ECHO_T}$ac_header_preproc" >&6
- 
- # So?  What about this header?
- case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-   yes:no: )
-     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: accepted by the 
compiler, rejected by the preprocessor!" >&5
- echo "$as_me: WARNING: Carbon/Carbon.h: accepted by the compiler, rejected by 
the preprocessor!" >&2;}
-     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the 
compiler's result" >&5
- echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the compiler's 
result" >&2;}
-     ac_header_preproc=yes
-     ;;
-   no:yes:* )
-     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: present but cannot be 
compiled" >&5
- echo "$as_me: WARNING: Carbon/Carbon.h: present but cannot be compiled" >&2;}
-     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h:     check for missing 
prerequisite headers?" >&5
- echo "$as_me: WARNING: Carbon/Carbon.h:     check for missing prerequisite 
headers?" >&2;}
-     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: see the Autoconf 
documentation" >&5
- echo "$as_me: WARNING: Carbon/Carbon.h: see the Autoconf documentation" >&2;}
-     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h:     section \"Present 
But Cannot Be Compiled\"" >&5
- echo "$as_me: WARNING: Carbon/Carbon.h:     section \"Present But Cannot Be 
Compiled\"" >&2;}
-     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: proceeding with the 
preprocessor's result" >&5
- echo "$as_me: WARNING: Carbon/Carbon.h: proceeding with the preprocessor's 
result" >&2;}
-     { echo "$as_me:$LINENO: WARNING: Carbon/Carbon.h: in the future, the 
compiler will take precedence" >&5
- echo "$as_me: WARNING: Carbon/Carbon.h: in the future, the compiler will take 
precedence" >&2;}
-     (
-       cat <<\_ASBOX
- ## ------------------------------------------ ##
- ## Report this to the AC_PACKAGE_NAME lists.  ##
- ## ------------------------------------------ ##
- _ASBOX
-     ) |
-       sed "s/^/$as_me: WARNING:     /" >&2
-     ;;
- esac
- echo "$as_me:$LINENO: checking for Carbon/Carbon.h" >&5
- echo $ECHO_N "checking for Carbon/Carbon.h... $ECHO_C" >&6
- if test "${ac_cv_header_Carbon_Carbon_h+set}" = set; then
-   echo $ECHO_N "(cached) $ECHO_C" >&6
- else
-   ac_cv_header_Carbon_Carbon_h=$ac_header_preproc
- fi
- echo "$as_me:$LINENO: result: $ac_cv_header_Carbon_Carbon_h" >&5
- echo "${ECHO_T}$ac_cv_header_Carbon_Carbon_h" >&6
- 
- fi
- if test $ac_cv_header_Carbon_Carbon_h = yes; then
-   HAVE_CARBON=yes
- fi
- 
- 
- fi
- 
  if test "${ac_cv_header_malloc_malloc_h+set}" = set; then
    echo "$as_me:$LINENO: checking for malloc/malloc.h" >&5
  echo $ECHO_N "checking for malloc/malloc.h... $ECHO_C" >&6
--- 12538,12543 ----
***************
*** 12678,12683 ****
--- 12685,12691 ----
  
  
  
+ ### Use Mac OS X Carbon API to implement GUI.
  if test "${HAVE_CARBON}" = "yes"; then
  
  cat >>confdefs.h <<\_ACEOF




reply via email to

[Prev in Thread] Current Thread [Next in Thread]